Package Details: etesync-dav 0.14.2-1

Git Clone URL: https://aur.archlinux.org/etesync-dav.git (read-only, click to copy)
Package Base: etesync-dav
Description: A CalDAV and CardDAV adapter for EteSync
Upstream URL: https://pypi.python.org/pypi/etesync-dav/
Licenses: GPL
Replaces: python-radicale-storage-etesync
Submitter: tasn
Maintainer: tasn
Last Packager: tasn
Votes: 4
Popularity: 0.004743
First Submitted: 2018-03-16 14:44
Last Updated: 2020-01-28 10:34

Latest Comments

1 2 Next › Last »

bsndrf commented on 2020-02-05 19:18

thx, reinstalling python requests fixed it for me

tasn commented on 2020-02-04 21:18

Look closely, the error is in requests/init.py it's checking to verify that it has the correct version of urllib3 installed. I don't know why for you it's failing. Do you have PYTHONPATH set by any chance? I'm really not sure what's going on on your box. Maybe try to reinstall python-requests.

bsndrf commented on 2020-02-04 18:27

I have python-requests 2.22.0-3 just as you. Im confused the error says urllib3 is the problem

tasn commented on 2020-02-03 19:17

Yeah, but what about python-requests? That's the one that looks like it's too old.

bsndrf commented on 2020-02-03 13:10

Hi,

I have the same urllib3 version (installied via extra). The problem is that the version is too new. as the execption states: RuntimeError: Requests dependency 'urllib3' must be version >= 1.21.1, < 1.22!

I just realized pip fails with the same execption

tasn commented on 2020-01-30 14:41

Thanks for the report, though I can't reproduce it locally. Also, given the nature of the error you just described, it sounds like the problem is with python-requests, or more likely, with your system. Are you fully up to date?

I have:

Name : python-requests Version : 2.22.0-3

Name : python-urllib3 Version : 1.25.7-1

bsndrf commented on 2020-01-30 14:36

since the last update etesync-dav fails to start because urllib3 is the wrong version

Traceback (most recent call last): File "/usr/lib/python3.8/site-packages/requests/init.py", line 55, in <module> assert minor <= 22 AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/etesync-dav", line 10, in <module> from etesync_dav import webui File "/usr/lib/python3.8/site-packages/etesync_dav/webui.py", line 12, in <module> import etesync as api File "/usr/lib/python3.8/site-packages/etesync/init.py", line 1, in <module> from .api import * File "/usr/lib/python3.8/site-packages/etesync/api.py", line 7, in <module> from .service import JournalManager, EntryManager, SyncEntry File "/usr/lib/python3.8/site-packages/etesync/service.py", line 1, in <module> import requests File "/usr/lib/python3.8/site-packages/requests/init.py", line 57, in <module> raise RuntimeError('Requests dependency \'urllib3\' must be version >= 1.21.1, < 1.22!') RuntimeError: Requests dependency 'urllib3' must be version >= 1.21.1, < 1.22!

tasn commented on 2019-10-12 15:51

Thanks, done! I added the file to the etesync repo and updated this package to use a local copy until the next etesync-dav release.

roobre commented on 2019-10-03 08:21

I have added a systemd user service for ease of use, feel free to merge https://github.com/roobre/etesync-dav-pkgbuild/commit/154e415c03ef0d1dc84f23dca90ebdb26ed5a3c1

tasn commented on 2019-07-15 07:26

Sorry to hear you had issues. These packages have now been merged, so I added a "replaces" directive to this package. I thought this would be enough, but I guess, based on your report it isn't.

Anyhow python-radicale-storage-etesync should be removed and only etesync-dav installed.